
From: Gerd Knorr <kraxel@bytesex.org>

The patch below makes two functions in drivers/media/video/bttv-i2c.c without
external users static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/bttv-i2c.c |    4 ++--
 25-akpm/drivers/media/video/bttv.h     |    2 --
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/media/video/bttv.h~bttv-i2cc-make-two-functions-static drivers/media/video/bttv.h
--- 25/drivers/media/video/bttv.h~bttv-i2cc-make-two-functions-static	Fri Nov 19 15:23:34 2004
+++ 25-akpm/drivers/media/video/bttv.h	Fri Nov 19 15:23:34 2004
@@ -325,8 +325,6 @@ void bttv_gpio_bits(struct bttv_core *co
 /* ---------------------------------------------------------- */
 /* i2c                                                        */
 
-extern void bttv_bit_setscl(void *data, int state);
-extern void bttv_bit_setsda(void *data, int state);
 extern void bttv_call_i2c_clients(struct bttv *btv, unsigned int cmd, void *arg);
 extern int bttv_I2CRead(struct bttv *btv, unsigned char addr, char *probe_for);
 extern int bttv_I2CWrite(struct bttv *btv, unsigned char addr, unsigned char b1,
diff -puN drivers/media/video/bttv-i2c.c~bttv-i2cc-make-two-functions-static drivers/media/video/bttv-i2c.c
--- 25/drivers/media/video/bttv-i2c.c~bttv-i2cc-make-two-functions-static	Fri Nov 19 15:23:34 2004
+++ 25-akpm/drivers/media/video/bttv-i2c.c	Fri Nov 19 15:23:34 2004
@@ -51,7 +51,7 @@ MODULE_PARM_DESC(i2c_scan,"scan i2c bus 
 /* ----------------------------------------------------------------------- */
 /* I2C functions - bitbanging adapter (software i2c)                       */
 
-void bttv_bit_setscl(void *data, int state)
+static void bttv_bit_setscl(void *data, int state)
 {
 	struct bttv *btv = (struct bttv*)data;
 
@@ -63,7 +63,7 @@ void bttv_bit_setscl(void *data, int sta
 	btread(BT848_I2C);
 }
 
-void bttv_bit_setsda(void *data, int state)
+static void bttv_bit_setsda(void *data, int state)
 {
 	struct bttv *btv = (struct bttv*)data;
 
_
